--- selection.c	2001-01-22 15:06:37.000000000 -0500
+++ selection.c	2014-12-28 22:03:30.000000000 -0500
@@ -39,4 +39,5 @@
 
 #include <stdio.h>
+#include <stdlib.h>
 #include <X11/Xlib.h>
 #include <X11/cursorfont.h>
@@ -61,12 +62,4 @@
 FCT (static void, display_one_line, (Text *text));
 
-FCT (void, ClearSelection, (Text *text, int select) );
-FCT (void, RefreshSelection, (Text *text) );
-FCT (Time, HandleSelection, (Text *text, XEvent *ev) );
-FCT (void, StartSelection, (Text *text) );
-FCT (void, EndSelection, (Text *text) );
-FCT (void, UpdateSelection, (Text *text) );
-FCT (void, ClearSelectionIfNeeded, (Text *text) );
-
 extern Display *dpy;
 static XRectangle rect [8];
@@ -75,6 +68,5 @@
 static int select_run = False;
 static XEvent event;
-static scroll_x = 0;
-static scroll_run = False;
+static int scroll_run = False;
 static GC sgc;
 
@@ -94,5 +86,5 @@
     unsigned long gcm, sfg;
     int result;
-    char *s_color;
+    const char *s_color;
 
     if (UseColor() == False) {
@@ -107,16 +99,11 @@
 
     /* color display */
-    s_color = (char *) getenv("XCORAL_SELECTION");
-    if (s_color == NULL) {
-      sfg = PixelValue (dpy, "gray", &result);
-      if (result != False)
-	fg = sfg;
-    }
-    else {
+    s_color = getenv("XCORAL_SELECTION");
+    if (s_color == NULL)
+      s_color = "gray";
       sfg = PixelValue (dpy, s_color, &result);
-      if (result != False)
+    if (result)
 	fg = sfg;
-    }
-    if (result == False)
+    else 
       fg = BlackPixel(dpy, DefaultScreen(dpy));
 
@@ -137,7 +124,6 @@
 **	Output :
 */
-Time HandleSelection(text, ev)
+Time HandleSelection(text)
     Text *text;
-    XEvent *ev;
 {
   Window root, child;
@@ -714,7 +700,7 @@
 */
 int SelectionIsVisible(text)
-    Text *text;
+    const Text *text;
 {
-  if (text -> selection -> select == False) 
+  if (!text->selection->select) 
     return 0;
 
@@ -1031,5 +1017,5 @@
       (void) fprintf (stderr, "111 s equal e, sl sup el\n");
 #endif /* DEBUG11 */
-      Store_bytes((char *)(RightBuf(text->buf)/*+1*/),nc/*-1*/);
+      Store_bytes((RightBuf(text->buf)/*+1*/),nc/*-1*/);
     }
     else { /* nc<0 */
@@ -1037,5 +1023,5 @@
       (void) fprintf (stderr, "112 s equal e, sl inf el \n");
 #endif /* DEBUG11 */
-      Store_bytes((char *)(LeftBuf(text->buf)+nc+1), -nc);
+      Store_bytes((LeftBuf(text->buf)+nc+1), -nc);
     }
   }
@@ -1044,5 +1030,5 @@
     /* Selection vers le debut du buffer */
 #ifdef DEBUG11
-    (void) fprintf (stderr, "111 s sup e %c\n", (char *)RightBuf(text->buf)+1);
+    (void) fprintf (stderr, "111 s sup e %.10s\n", RightBuf(text->buf)+1);
 #endif /* DEBUG11 */
     nc = 0;
@@ -1229,5 +1215,5 @@
   if(select) {
     text -> selection -> select = True;
-    (void) get_bytes_selection (text);
+    get_bytes_selection (text);
   }
 }
